Set hosting firewall rules
curl --request PATCH \
--url https://orbitlab.dev/api/v1/hostings/{id}/firewall \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ipAllowlist": "<string>",
"ipBlocklist": "<string>"
}
'import requests
url = "https://orbitlab.dev/api/v1/hostings/{id}/firewall"
payload = {
"ipAllowlist": "<string>",
"ipBlocklist": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ipAllowlist: '<string>', ipBlocklist: '<string>'})
};
fetch('https://orbitlab.dev/api/v1/hostings/{id}/firewall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Hostings
Set hosting firewall rules
Requires the owner or admin role in the organization.
CLI: orbitlab firewall set --hosting <id> --allow … --block …
PATCH
/
v1
/
hostings
/
{id}
/
firewall
Set hosting firewall rules
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Paramètres de chemin
Hosting id (the hosting order item id).
Corps
application/json
Réponse
success.
The response is of type object.
Cette page vous a-t-elle été utile ?